var raydash=new require('../../lib/raydash').getRaydash(process.env.RAYDASH_USERID,process.env.RAYDASH_SECRET);
if(process.env.DEBUG === '1') {
	console.log("Debug mode");
	raydash.testMode('localhost',8080);
	raydash.setCallbackUrl('http://localhost:3000/callback');
}
var sio=require('socket.io');
var express=require('express');
var app = express.createServer();
var mongo = require('mongodb');

app.use(express.static(__dirname + "/public"));
app.set('view', __dirname + '/views');
app.set('view engine', 'jade');

app.helpers(raydash.helpers());

app.get('/',function(req,res){
	res.render('index',{pageTitle:'Home page'});
});
app.get('/callback',function(req,res){
	
	var token=req.param('token');
	var customGroup=req.param('customGroup');
	var connectedTo=req.param('connectedTo');
	var timestamp=req.param('timestamp');
	var type=req.param('type');
	res.write('success');
	res.end();
	console.log("Callback:" + JSON.stringify({token:token,customGroup:customGroup,connectedTo:connectedTo,timestamp:timestamp,type:type}));
});
app.get('/session',function(req,res){
	raydash.getToken(function(token){
		res.render('session',{token:token,pageTitle:'session'});
	});
});
app.get('/session/enter/:token',function(req,res){
	var token=req.param('token');
	raydash.changeCustomGroup(token,'entered');
	res.write('success');
	res.end();
	console.log("Enter:" + token);
});
app.get('/session/leave/:token',function(req,res){
	var token=req.param('token');
	raydash.changeCustomGroup(token,'left');
	res.write('success');
	res.end();
	console.log("Leave:" + token);
});


app.listen(3000);
var io=sio.listen(app);

io.sockets.on('connection',function(socket) {
	
});
